Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why do you need iOS 8.2 to install Firefox?

  • 1 resposta
  • 1 has this problem
  • 1 view
  • Last reply by AaronMT

more options

Most apps in the App Store work on iOS 6-7.1

What's the reason you need to have 8.2?

Other browsers work on iOS 7

Most apps in the App Store work on iOS 6-7.1 What's the reason you need to have 8.2? Other browsers work on iOS 7

All Replies (1)

more options

We're making use of modern API's that are only available on newer versions of iOS. Also, legacy platform compatibility can be a headache and detriment towards developer sanity.

AaronMT modificouno o